- Home
- API Enriched
- Data Intelligence
- data-intelligence
- Test Receiver.
Test Receiver.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/receivers/example/test';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"id":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/data-intelligence/namespaces/example/receivers/example/test \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "id": "example", "namespace": "example" }'API to test receiver destination sink connection.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Namespace in which the receiver is configured.
ID Receiver Name.
Request Bodyrequired
Section titled “Request Bodyrequired”Request to test receiver & destination sink.
object
Receiver Name.
Namespace in which the receiver is configured Required: YES.
Examplegenerated
{ "id": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
Response for the Receiver test request; empty because the only returned information is error message.
object
The error string if the status is failed.
Example
{ "status": "SUCCESS"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example